What is meta? ×
Meta Stack Exchange is where users like you discuss bugs, features, and support issues that affect the software powering all 134 Stack Exchange communities.

Currently SE uses jQuery v1.7.1, but 1.7.2 is out with a few more bug fixes.

1.7.2 is out on the Google CDN now.

share|improve this question
4  
Do you actually believe that an update to a major library on SO is as simple as that? You don't think that some time should be spent doing testing and proper QA before hand? –  Oded Apr 27 '12 at 9:27
16  
Are there specific bugs you're experiencing that you believe upgrading to 1.7.2 will fix? –  user149432 Apr 27 '12 at 9:28
1  
I'm pretty sure jQuery updates itself last time I checked. –  BoltClock's a Unicorn Apr 27 '12 at 9:55
1  
@BoltClock'saUnicorn: fun fact, it uses jQuery to do so. –  user7116 Apr 27 '12 at 9:59
    
@BoltClock'saUnicorn: I'm not so, last thing I heard was that balpha struggled hard to update it last time...I'm sure he'd not so fond of automatic updates to jQuery. –  Time Traveling Bobby Apr 27 '12 at 10:18
    
@Kobobby: It just doesn't like him. –  BoltClock's a Unicorn Apr 27 '12 at 10:19

1 Answer 1

Why? What would it fix?

We need a reason for upgrading any of our libraries/dependencies. If it fixes something, or allows us to do something better and/or faster, sure...but upgrading for the sake of upgrading isn't wise.

We're bug-free at the moment (AFAIK, related to jQuery), upgrading can only break something (and has, every time). It's not that breaks aren't worth it...if we get something from the upgrade then we deal with the breaks. If we're not getting something from the upgrade then it's just wasted time tracking down bugs...time we could be using to add more awesome to the site.

share|improve this answer
    
I dunno about that whole "more awesome" business; if waffles status-completeds one more long-dead/declined feature-request, someone might have a heart attack. –  Tim Stone Apr 27 '12 at 10:32
4  
-1 not enough jQuery –  balpha Apr 27 '12 at 13:12
    
There are a few bug fixes, which may or may not pertain to SO; I don't know every single line of JS on your site, sorry! But here are a few highlights of the fixes:<br> –  tomByrer Apr 28 '12 at 4:23
    
Animate negative margins: bugs.jquery.com/ticket/11469 –  tomByrer Apr 28 '12 at 4:24
    
jQuery.param() mistakes wrapped primitives for deep objects bugs.jquery.com/ticket/10466 –  tomByrer Apr 28 '12 at 4:26
1  
@tom Nick did link you to the blog post that lists all the bugs that were fixed. Pretty sure he knows that they didn't increment the version number for no reason. This isn't Google Chrome, after all. I think you missed the point: there's no good reason to upgrade, since things are working just fine now. Upgrading is more likely to break things than not upgrading. –  Cody Gray Apr 28 '12 at 7:45

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .